## com.fasterxml.jackson.databind.util
Interface Annotations

All Known Implementing Classes:
  AnnotationMap

    public interface Annotations

Interface that defines interface for accessing contents of a collection of annotations. This is needed when introspecting annotation-based features from different kinds of things, not just objects that Java Reflection interface exposes.

Standard mutable implementation is `AnnotationMap`

Method Summary

`

`<A extends Annotation> A`

`

`get(Class<A> cls)`
Main access method used to find value for given annotation.

`int` `size()` Returns number of annotation entries in this collection.

Method Detail

### get

    <A extends Annotation> A get(Class<A> cls)

  Main access method used to find value for given annotation.

### size

    int size()

  Returns number of annotation entries in this collection.

Copyright © 2012 FasterXML. All Rights Reserved.